package com.huangx.dubbo.consumer;

import com.huangx.dubbo.hello.HelloService;
import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * 加载 Spring 配置，启动 Dubbo 服务消费者
 */
public class Consumer {

	public static void main(String[] args) {
		System.setProperty("java.net.preferIPv4Stack", "true");
		ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext(
				new String[] { "dubbo-demo-consumer.xml" });
		context.start();

		// 获取远程服务
		HelloService demoService = (HelloService) context.getBean("demoService");
		while (true) {
			try {
				Thread.sleep(1000);
				// 调用远程方法
				String hello = demoService.sayHello("word");
				// 获取结果
				System.out.println(hello);
			} catch (Throwable throwable) {
				throwable.printStackTrace();
			}
		}
	}

}
