package com.huangx.dubbo.provider;

import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * 加载 Spring 的配置文件，启动 Dubbo 服务提供者
 */
public class Provider {

	public static void main(String[] args) throws Exception {
		// 防止获取IPV6地址，这种方式只工作在debug模式下。
		// 但是，你能通过 -Djava.net.preferIPv4Stack=true。
		// 那么，debug或不是debug模式都能很好的工作。
		System.setProperty("java.net.preferIPv4Stack", "true");

		// 加载 Spring 配置文件，启动 Dubbo
		ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext(
				new String[] {"dubbo-demo-provider.xml"});
		context.start();

		// 按任意键退出
		System.in.read();
		context.close();
	}

}
